import { Action } from '@ngrx/store';
import { FilterModel } from './../models/filter.model';
export declare const GET = "[filter] Get";
export declare const GET_SUCCESS = "[filter] GetSuccess";
export declare const GET_ERROR = "[filter] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: FilterModel[];
    constructor(payload: FilterModel[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
