import { Action } from '@ngrx/store';
import { Space } from 'ngx-fabric8-wit';
export declare const GET = "[space] Get";
export declare const GET_SUCCESS = "[space] GetSuccess";
export declare const GET_ERROR = "[space] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: Space;
    constructor(payload: Space);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
