import { Component, EventEmitter, Input, Output } from '@angular/core';
var IterationTreeComponent = /** @class */ (function () {
    function IterationTreeComponent() {
        this.iterationList = [];
        this.showTree = '';
        this.showCompleted = '';
        this.onEditIteration = new EventEmitter();
        this.onCloseIteration = new EventEmitter();
        this.onCreateIteration = new EventEmitter();
    }
    IterationTreeComponent.prototype.editIteration = function (iteration) {
        this.onEditIteration.emit(iteration);
    };
    IterationTreeComponent.prototype.closeIteration = function (iteration) {
        this.onCloseIteration.emit(iteration);
    };
    IterationTreeComponent.prototype.createIteration = function (iteration) {
        this.onCreateIteration.emit(iteration);
    };
    IterationTreeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'iteration-tree',
                    template: require('./iteration-tree.component.html'),
                },] },
    ];
    /** @nocollapse */
    IterationTreeComponent.ctorParameters = function () { return []; };
    IterationTreeComponent.propDecorators = {
        'iterationList': [{ type: Input },],
        'collection': [{ type: Input },],
        'witGroup': [{ type: Input },],
        'showTree': [{ type: Input },],
        'showCompleted': [{ type: Input },],
        'context': [{ type: Input },],
        'onEditIteration': [{ type: Output },],
        'onCloseIteration': [{ type: Output },],
        'onCreateIteration': [{ type: Output },],
    };
    return IterationTreeComponent;
}());
export { IterationTreeComponent };
//# sourceMappingURL=iteration-tree.component.js.map