import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { PlannerQueryComponent } from './planner-query.component';
import { FeatureFlagResolver } from 'ngx-feature-flag';
var routes = [{
        path: 'query',
        component: PlannerQueryComponent,
        resolve: {
            featureFlagConfig: FeatureFlagResolver
        },
        data: {
            title: 'Query Tab',
            featureName: 'PlannerQuery'
        }
    }];
var PlannerQueryRoutingModule = /** @class */ (function () {
    function PlannerQueryRoutingModule() {
    }
    PlannerQueryRoutingModule.decorators = [
        { type: NgModule, args: [{
                    imports: [RouterModule.forChild(routes)],
                    exports: [RouterModule]
                },] },
    ];
    /** @nocollapse */
    PlannerQueryRoutingModule.ctorParameters = function () { return []; };
    return PlannerQueryRoutingModule;
}());
export { PlannerQueryRoutingModule };
//# sourceMappingURL=planner-query-routing.module.js.map