import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { BsDropdownConfig, BsDropdownModule } from 'ngx-bootstrap/dropdown';
import { PermissionQuery } from '../../models/permission.model';
import { CommonSelectorModule } from '../common-selector/common-selector.module';
import { InfotipModule } from '../infotip/infotip.module';
import { WorkItemQuickAddComponent } from './work-item-quick-add.component';
var WorkItemQuickAddModule = /** @class */ (function () {
    function WorkItemQuickAddModule() {
    }
    WorkItemQuickAddModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        BsDropdownModule.forRoot(),
                        CommonModule,
                        CommonSelectorModule,
                        FormsModule,
                        InfotipModule,
                        ReactiveFormsModule
                    ],
                    declarations: [WorkItemQuickAddComponent],
                    exports: [WorkItemQuickAddComponent],
                    providers: [BsDropdownConfig, PermissionQuery]
                },] },
    ];
    /** @nocollapse */
    WorkItemQuickAddModule.ctorParameters = function () { return []; };
    return WorkItemQuickAddModule;
}());
export { WorkItemQuickAddModule };
//# sourceMappingURL=work-item-quick-add.module.js.map