import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import * as AreaActions from './../actions/area.actions';
import { AreaService as AService } from './../services/area.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = AreaActions.All;
export declare class AreaEffects {
    private actions$;
    private areaService;
    private errHandler;
    private spaceQuery;
    constructor(actions$: Actions, areaService: AService, errHandler: ErrorHandler, spaceQuery: SpaceQuery);
    getAreas$: Observable<Action>;
}
