import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import * as InfotipActions from './../actions/infotip.actions';
import { InfotipService } from './../services/infotip.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = InfotipActions.All;
export declare class InfotipEffects {
    private actions$;
    private infotipService;
    private errHandler;
    constructor(actions$: Actions, infotipService: InfotipService, errHandler: ErrorHandler);
    getInfotips$: Observable<Action>;
}
