import { Actions } from '@ngrx/effects';
import { Action } from '@ngrx/store';
import { Observable } from 'rxjs';
import { IterationService } from '.././services/iteration.service';
import { SpaceQuery } from '../models/space';
import { ErrorHandler } from './work-item-utils';
export declare class IterationEffects {
    private actions$;
    private iterationService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, iterationService: IterationService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    getIterations$: Observable<Action>;
    addIteration$: Observable<Action>;
    updateIteration$: Observable<Action>;
}
