import { Actions } from '@ngrx/effects';
import * as LinkTypeActions from './../actions/link-type.actions';
import { Observable } from 'rxjs';
import { SpaceQuery } from './../models/space';
import { WorkItemService } from './../services/work-item.service';
export declare type Action = LinkTypeActions.All;
export declare class LinkTypeEffects {
    private actions$;
    private workItemService;
    private spaceQuery;
    constructor(actions$: Actions, workItemService: WorkItemService, spaceQuery: SpaceQuery);
    getLinkTypes$: Observable<Action>;
}
