import { Actions } from '@ngrx/effects';
import { Spaces } from 'ngx-fabric8-wit';
import { Observable } from 'rxjs';
import * as SpaceActions from './../actions/space.actions';
import { ErrorHandler } from './work-item-utils';
export declare type Action = SpaceActions.All;
export declare class SpaceEffects {
    private actions$;
    private spaces;
    private errHandler;
    private attempt;
    constructor(actions$: Actions, spaces: Spaces, errHandler: ErrorHandler);
    getSpace$: Observable<Action>;
    getSpaceSuccess$: Observable<any>;
}
