import { Actions } from '@ngrx/effects';
import { Notifications } from 'ngx-base';
import { UserService } from 'ngx-login-client';
import { Observable } from 'rxjs';
import * as CollaboratorActions from './../actions/collaborator.actions';
import * as UserActions from './../actions/user.actions';
import { ErrorHandler } from './work-item-utils';
export declare type CollabGetSuccess = CollaboratorActions.GetSuccess;
export declare type UserAction = UserActions.All;
export declare type UserGetAction = UserActions.Get;
export declare class UserEffects {
    private actions$;
    private userService;
    private notifications;
    private errHandler;
    constructor(actions$: Actions, userService: UserService, notifications: Notifications, errHandler: ErrorHandler);
    getUser$: Observable<UserAction>;
}
