import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import * as WIStateActions from './../actions/work-item-state.actions';
import * as WorkItemTypeActions from './../actions/work-item-type.actions';
import { WorkItemService } from './../services/work-item.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = WorkItemTypeActions.All | WIStateActions.All;
export declare class WorkItemTypeEffects {
    private actions$;
    private workItemService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, workItemService: WorkItemService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    getWorkItemTypes$: Observable<Action>;
}
