import { MemoizedSelector, Store } from '@ngrx/store';
import { Space } from 'ngx-fabric8-wit';
import { Observable } from 'rxjs';
import { AppState, PlannerState } from './../states/app.state';
export declare const plannerSelector: MemoizedSelector<object, PlannerState>;
export declare const spaceSelector: MemoizedSelector<object, Space>;
export declare class SpaceQuery {
    private store;
    constructor(store: Store<AppState>);
    readonly getCurrentSpace: Observable<Space>;
}
