var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import * as DetailWorkItemActions from './../actions/detail-work-item.actions';
import * as WorkItemActions from './../actions/work-item.actions';
import { initialState } from './../states/detail-work-item.state';
export var DetailWorkItemReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case DetailWorkItemActions.GET_WORKITEM_SUCCESS: {
            return __assign({}, action.payload);
        }
        case WorkItemActions.UPDATE_SUCCESS: {
            return __assign({}, action.payload);
        }
        case WorkItemActions.UPDATE_ERROR: {
            return __assign({}, state);
        }
        case DetailWorkItemActions.GET_WORKITEM_ERROR: {
            return state;
        }
        default: {
            return state;
        }
    }
};
//# sourceMappingURL=detail-work-item.reducer.js.map