import * as GroupTypeActions from './../actions/group-type.actions';
import { initialState } from '../states/grouptype.state';
export var GroupTypeReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case GroupTypeActions.GET_SUCCESS: {
            return action.payload;
        }
        case GroupTypeActions.GET_ERROR: {
            return state;
        }
        case GroupTypeActions.SELECT: {
            var index = state.findIndex(function (item) { return item.id === action.payload.id; });
            if (index > -1) {
                for (var i = 0; i < state.length; i++) {
                    state[i].selected = i === index;
                }
            }
            state = state.slice(); // This is important for change detection
            return state;
        }
        default: {
            return state;
        }
    }
};
//# sourceMappingURL=group-type.reducer.js.map