import { HTTP_INTERCEPTORS, HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { AuthInterceptor } from './auth.interceptors';
import { HttpBackendClient, HttpClientService } from './http.service';
var PlannerHttpClientModule = /** @class */ (function () {
    function PlannerHttpClientModule() {
    }
    PlannerHttpClientModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        HttpClientModule
                    ],
                    providers: [
                        HttpClientService,
                        HttpBackendClient,
                        {
                            provide: HTTP_INTERCEPTORS,
                            useClass: AuthInterceptor,
                            multi: true
                        }
                    ]
                },] },
    ];
    /** @nocollapse */
    PlannerHttpClientModule.ctorParameters = function () { return []; };
    return PlannerHttpClientModule;
}());
export { PlannerHttpClientModule };
//# sourceMappingURL=http.module.js.map