import { ElementRef, EventEmitter, OnInit } from '@angular/core';
export declare class InlineInputComponent implements OnInit {
    inputField: ElementRef;
    type: string;
    disabled: boolean;
    input: any;
    placeholder: string;
    allowOnLineClickEdit: boolean;
    readonly onSave: EventEmitter<{}>;
    private inputValue;
    private saving;
    private editing;
    private previousValue;
    private errorMessage;
    private isNotValid;
    ngOnInit(): void;
    startEditing(onLineClick: boolean): void;
    saveClick(): void;
    formatValue(value: any): any;
    isFloat(val: any): boolean;
    validateValue(value: any): boolean;
    closeClick(): void;
    handleSave(value: string, error: string): void;
    convertSpecialChar(str: string): string;
    submitOnEnter(event: any): void;
    onkeyDown(event: any, text: any): void;
    /**
     * This function checks every key entry if it's a number or not
     * @param keycode
     * @param event
     * @param allowFloat allows the charecter key to be a '.'
     */
    checkNumber(keycode: any, event: any, allowFloat?: boolean): boolean;
}
