import { Action } from '@ngrx/store';
import { LabelUI } from './../models/label.model';
export declare const ADD = "[label] Add";
export declare const GET = "[label] Get";
export declare const GET_SUCCESS = "[label] GetSuccess";
export declare const GET_ERROR = "[label] GetError";
export declare const ADD_SUCCESS = "[label] AddSuccess";
export declare const ADD_ERROR = "[label] AddError";
export declare class Add implements Action {
    payload: any;
    constructor(payload: any);
    readonly type: string;
}
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: LabelUI[];
    constructor(payload: LabelUI[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare class AddSuccess implements Action {
    payload: LabelUI;
    constructor(payload: LabelUI);
    readonly type: string;
}
export declare class AddError implements Action {
    readonly type: string;
}
export declare type All = Add | Get | GetSuccess | GetError | AddSuccess | AddError;
