import { Action } from '@ngrx/store';
import { LinkTypeUI } from './../models/link-type';
export declare const GET = "[linkType] Get";
export declare const GET_SUCCESS = "[LinkType] GetSuccess";
export declare const GET_ERROR = "[LinkType] GetError";
export declare class Get implements Action {
    readonly type: string;
}
export declare class GetSuccess implements Action {
    payload: LinkTypeUI[];
    constructor(payload: LinkTypeUI[]);
    readonly type: string;
}
export declare class GetError implements Action {
    readonly type: string;
}
export declare type All = Get | GetSuccess | GetError;
