export var SET = '[users] Set';
export var GET = '[users] Get';
export var GET_ERROR = '[users] GetError';
/**
 * This action class set the normalized user data
 * Be it one user or number of users we can use
 * this action to update the user state
 * The payload value is a dictionary of users
 * where the id is the key and value is the entire
 */
var Set = /** @class */ (function () {
    function Set(payload) {
        this.type = SET;
        this.payload = payload;
    }
    return Set;
}());
export { Set };
/**
 * This action is used to get one user
 * from server by it's ID
 */
var Get = /** @class */ (function () {
    function Get(payload) {
        this.type = GET;
        this.payload = payload;
    }
    return Get;
}());
export { Get };
var GetError = /** @class */ (function () {
    function GetError() {
        this.type = GET_ERROR;
    }
    return GetError;
}());
export { GetError };
//# sourceMappingURL=user.actions.js.map