import { EventEmitter } from '@angular/core';
import { AuthenticationService, User } from 'ngx-login-client';
import { WorkItem } from '../../models/work-item';
import { WorkItemService } from '../../services/work-item.service';
import { UserUI } from './../../models/user';
import { SelectDropdownComponent } from './../../widgets/select-dropdown/select-dropdown.component';
export declare class AssigneeSelectorComponent {
    private auth;
    private workItemService;
    dropdownRef: SelectDropdownComponent;
    loggedInUser: UserUI;
    editAllow: boolean;
    allUsers: UserUI[];
    allUsersSetter: UserUI[];
    selectedAssignees: UserUI[];
    _selectedAssigneesBackup: UserUI[];
    selectedAssigneesSetter: any;
    readonly onSelectAssignee: EventEmitter<UserUI[]>;
    readonly onOpenAssignee: EventEmitter<any>;
    readonly onCloseAssignee: EventEmitter<UserUI[]>;
    workItem: WorkItem;
    workItemRef: WorkItem;
    users: User[];
    workItemPayload: WorkItem;
    searchAssignee: Boolean;
    private activeAddAssignee;
    private backup;
    private assignees;
    private searchValue;
    constructor(auth: AuthenticationService, workItemService: WorkItemService);
    onSelect(event: any): void;
    updateSelection(): void;
    onSearch(event: any): void;
    cancelAssignment(): void;
    onOpen(event: any): void;
    onClose(event: any): void;
    openDropdown(): void;
    closeDropdown(): void;
    closeAddAssignee(): void;
}
