import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { BsDropdownConfig, BsDropdownModule } from 'ngx-bootstrap/dropdown';
import { TooltipConfig, TooltipModule } from 'ngx-bootstrap/tooltip';
import { WidgetsModule } from 'ngx-widgets';
import { UserAvatarModule } from './../../widgets/user-avatar/user-avatar.module';
import { AssigneesComponent } from './assignee.component';
var AssigneesModule = /** @class */ (function () {
    function AssigneesModule() {
    }
    AssigneesModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        RouterModule,
                        TooltipModule,
                        BsDropdownModule,
                        UserAvatarModule,
                        WidgetsModule
                    ],
                    declarations: [
                        AssigneesComponent
                    ],
                    providers: [TooltipConfig, BsDropdownConfig],
                    exports: [AssigneesComponent]
                },] },
    ];
    /** @nocollapse */
    AssigneesModule.ctorParameters = function () { return []; };
    return AssigneesModule;
}());
export { AssigneesModule };
//# sourceMappingURL=assignee.module.js.map