import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { LabelUI } from './../../models/label.model';
import { LabelService } from './../../services/label.service';
import { SelectDropdownComponent } from './../../widgets/select-dropdown/select-dropdown.component';
import { Store } from '@ngrx/store';
import { AppState } from './../../../app/states/app.state';
export declare class LabelSelectorComponent implements OnInit {
    private labelService;
    private store;
    labelnameInput: ElementRef;
    dropdownRef: SelectDropdownComponent;
    allLabelsSetter: LabelUI[];
    selectedLabelsSetter: LabelUI[];
    allowUpdate: boolean;
    readonly onSelectLabel: EventEmitter<LabelUI[]>;
    readonly onOpenSelector: EventEmitter<any>;
    readonly onCloseSelector: EventEmitter<LabelUI[]>;
    private activeAddLabel;
    private backup;
    private colorPickerActive;
    private colors;
    private createDisabled;
    private labels;
    private newSelectedColor;
    private searchValue;
    private allLabels;
    private selectedLabels;
    private _selectedLabelsBackup;
    constructor(labelService: LabelService, store: Store<AppState>);
    ngOnInit(): void;
    onSelect(event: any): void;
    updateSelection(): void;
    onSearch(event: any): void;
    clickOnAddLabel(): void;
    closeAddLabel(): void;
    toggleColorPicker(): void;
    selectColor(color: any): void;
    createLabel(name: any): void;
    onOpen(event: any): void;
    onClose(event: any): void;
    openDropdown(): void;
    closeDropdown(): void;
    onAddLabelInput(val: any): void;
}
