import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TooltipConfig, TooltipModule } from 'ngx-bootstrap';
import { AlmEditableModule, AlmIconModule, MarkdownModule, WidgetsModule } from 'ngx-widgets';
import { LabelsModule } from '../labels/labels.module';
import { F8TimePipeModule } from './../../pipes/f8-time.module';
import { UserAvatarModule } from './../../widgets/user-avatar/user-avatar.module';
import { WorkItemEventComponent } from './work-item-event.component';
var WorkItemEventModule = /** @class */ (function () {
    function WorkItemEventModule() {
    }
    WorkItemEventModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        AlmEditableModule,
                        AlmIconModule,
                        WidgetsModule,
                        LabelsModule,
                        MarkdownModule,
                        CommonModule,
                        TooltipModule,
                        F8TimePipeModule,
                        UserAvatarModule
                    ],
                    declarations: [WorkItemEventComponent],
                    exports: [WorkItemEventComponent],
                    providers: [TooltipConfig]
                },] },
    ];
    /** @nocollapse */
    WorkItemEventModule.ctorParameters = function () { return []; };
    return WorkItemEventModule;
}());
export { WorkItemEventModule };
//# sourceMappingURL=work-item-event.module.js.map