import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import { BoardService } from '../services/board.service';
import * as BoardActions from './../actions/board.actions';
import { ErrorHandler } from './work-item-utils';
export declare type Action = BoardActions.All;
export declare class BoardEffects {
    private actions$;
    private boardService;
    private errhandler;
    private spaceQuery;
    constructor(actions$: Actions, boardService: BoardService, errhandler: ErrorHandler, spaceQuery: SpaceQuery);
    getBoards: Observable<Action>;
}
