import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import * as CommentActions from './../actions/comment.actions';
import { WorkItemService } from './../services/work-item.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = CommentActions.All;
export declare class CommentEffects {
    private actions$;
    private workItemService;
    private errHandler;
    constructor(actions$: Actions, workItemService: WorkItemService, errHandler: ErrorHandler);
    private commentMapper;
    getWorkItemComments$: Observable<Action>;
    addComment$: Observable<Action>;
    updateComment$: Observable<Action>;
    deleteComment$: Observable<Action>;
}
