import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import * as CustomQueryActions from './../actions/custom-query.actions';
import { CustomQueryService } from './../services/custom-query.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = CustomQueryActions.All;
export declare class CustomQueryEffects {
    private actions$;
    private customQueryService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, customQueryService: CustomQueryService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    GetCustomQueries$: Observable<Action>;
    addCustomQuery$: Observable<CustomQueryActions.All>;
    deleteCustomQuery: Observable<CustomQueryActions.All>;
}
