import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import * as EventActions from './../actions/event.action';
import { WorkItemService } from './../services/work-item.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = EventActions.All;
export declare class EventEffects {
    private actions$;
    private workItemService;
    private errHandler;
    private eventMapper;
    constructor(actions$: Actions, workItemService: WorkItemService, errHandler: ErrorHandler);
    resolveEvents(events: any): any;
    getWorkItemEvents$: Observable<Action>;
}
