import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import * as FilterActions from './../actions/filter.actions';
import { SpaceQuery } from './../models/space';
import { FilterService } from './../services/filter.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = FilterActions.All;
export declare class FilterEffects {
    private actions$;
    private filterService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, filterService: FilterService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    GetFilters$: Observable<Action>;
}
