import { Actions } from '@ngrx/effects';
import { Observable } from 'rxjs';
import { SpaceQuery } from '../models/space';
import * as LabelActions from './../actions/label.actions';
import { LabelService } from './../services/label.service';
import { ErrorHandler } from './work-item-utils';
export declare type Action = LabelActions.All;
export declare class LabelEffects {
    private actions$;
    private labelService;
    private spaceQuery;
    private errHandler;
    constructor(actions$: Actions, labelService: LabelService, spaceQuery: SpaceQuery, errHandler: ErrorHandler);
    getLabels$: Observable<Action>;
    createLabel$: Observable<Action>;
}
