var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import * as BoardUIActions from './../actions/board-ui.actions';
import { initialState } from './../states/board-ui.state';
export var BoardUIReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case BoardUIActions.LOCK_BOARD: {
            return __assign({}, state, { lockBoard: true });
        }
        case BoardUIActions.UNLOCK_BOARD: {
            return __assign({}, state, { lockBoard: false });
        }
        default: {
            return state;
        }
    }
};
//# sourceMappingURL=board-ui.reducer.js.map