import * as WorkItemTypeActions from './../actions/work-item-type.actions';
import { createEntityAdapter } from '@ngrx/entity';
import { initialState } from '../states/work-item-type.state';
var workItemTypeAdapter = createEntityAdapter();
export var WorkItemTypeReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case WorkItemTypeActions.GET_SUCCESS: {
            return workItemTypeAdapter.addAll(action.payload, state);
        }
        case WorkItemTypeActions.GET_ERROR: {
            return state;
        }
        default: {
            return state;
        }
    }
};
//# sourceMappingURL=work-item-type.reducer.js.map