import { Injectable } from '@angular/core';
import { HttpBackendClient } from './../shared/http-module/http.service';
var infotipsUrl = 'https://docs.openshift.io/json/infotips.json';
var InfotipService = /** @class */ (function () {
    function InfotipService(http) {
        this.http = http;
    }
    InfotipService.prototype.getInfotips = function () {
        return this.http
            .get(infotipsUrl);
    };
    InfotipService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    InfotipService.ctorParameters = function () { return [
        { type: HttpBackendClient, },
    ]; };
    return InfotipService;
}());
export { InfotipService };
//# sourceMappingURL=infotip.service.js.map