import { Component, EventEmitter, Input, Output } from '@angular/core';
var SwitchComponent = /** @class */ (function () {
    function SwitchComponent() {
        this.onChecked = new EventEmitter();
    }
    SwitchComponent.prototype.toggleSwitch = function (event) {
        this.onChecked.emit(event);
    };
    SwitchComponent.decorators = [
        { type: Component, args: [{
                    selector: 'switch',
                    template: require('./switch.component.html'),
                    styles: [require('./switch.component.css').toString()]
                },] },
    ];
    /** @nocollapse */
    SwitchComponent.ctorParameters = function () { return []; };
    SwitchComponent.propDecorators = {
        'isChecked': [{ type: Input },],
        'onChecked': [{ type: Output },],
    };
    return SwitchComponent;
}());
export { SwitchComponent };
//# sourceMappingURL=switch.component.js.map